package com.hw.ems.base.mapper;

import com.hw.ems.base.domain.BaseMeterInfo;

import java.util.List;

/**
 * 计量仪表信息Mapper接口
 *
 * @author YinQ
 * @date 2023-03-31
 */
public interface BaseMeterInfoMapper
{
    /**
     * 查询计量仪表信息
     *
     * @param objid 计量仪表信息主键
     * @return 计量仪表信息
     */
    public BaseMeterInfo selectBaseMeterInfoByObjid(Long objid);

    /**
     * 查询计量仪表信息列表
     *
     * @param baseMeterInfo 计量仪表信息
     * @return 计量仪表信息集合
     */
    public List<BaseMeterInfo> selectBaseMeterInfoList(BaseMeterInfo baseMeterInfo);

    /**
     * 新增计量仪表信息
     *
     * @param baseMeterInfo 计量仪表信息
     * @return 结果
     */
    public int insertBaseMeterInfo(BaseMeterInfo baseMeterInfo);

    /**
     * 修改计量仪表信息
     *
     * @param baseMeterInfo 计量仪表信息
     * @return 结果
     */
    public int updateBaseMeterInfo(BaseMeterInfo baseMeterInfo);

    /**
     * 删除计量仪表信息
     *
     * @param objid 计量仪表信息主键
     * @return 结果
     */
    public int deleteBaseMeterInfoByObjid(Long objid);

    /**
     * 批量删除计量仪表信息
     *
     * @param objids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBaseMeterInfoByObjids(String[] objids);
}
